%define name nuapp 
%define version 0.2
%define release %mkrel 1

Name:		%{name}
Summary:	Nuapp is a GTK 2 application which uses libnuclient to authenticate against a NuFW server.
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Graphical desktop/GNOME
URL:		http://software.inl.fr/
Source:		http://software.inl.fr/releases/Nuapp/%{name}-%{version}.tar.bz2
Source1:	nupik.png
Requires:	nufw
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildRequires: gtk2-devel
BuildRequires: libnuclient-devel
BuildRequires: desktop-file-utils
BuildRequires: ImageMagick

%description
Nuapp is a GTK 2 application which uses libnuclient to authenticate against a NuFW server.

%prep

%setup -q 

%build

%configure2_5x 

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# Menu
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name  <<EOF
?package(%name): command="%_bindir/nuapp" needs="X11" \
icon="%{SOURCE1}" section="System/File Tools" \
title="NuApp" longtitle="NuFW Client"\
xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=NuApp
Comment=NuFW Client
Exec=%{_bindir}/%{name} 
Icon=%{SOURCE1}
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-Internet-Other;
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 %{SOURCE1} $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 %{SOURCE1} $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 %{SOURCE1} $RPM_BUILD_ROOT/%_miconsdir/%name.png

%{find_lang} nuapp --with-gnome

%post
%{update_menus}

%postun
%{clean_menus} 

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,0755)
%{_bindir}/%{name}
%{_menudir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png
%{_datadir}/%{name}/pixmaps/*.png


%changelog
* Wed Feb 21 2007 Jérôme Soyer <saispo@mandriva.org> 0.2-1mdv2007.0
+ Revision: 124119
- Add BR
- Import nuapp

